Collapse All Expand All Language Filter: Code: All Code: Multiple Code: Visual Basic Code: C# Code: Visual C++ Code: J# Code: JScript

EDKB12WS Reference
Service1 Members
See Also

The following tables list the members exposed by the Service1 type.

# Public Properties

| Name | Description
--- | --- | ---
| AutoLog | (inherited from ServiceBase).
| CanHandlePowerEvent | (inherited from ServiceBase).
| CanHandleSessionChangeEvent | (inherited from ServiceBase).
| CanPauseAndContinue | (inherited from ServiceBase).
| CanShutdown | (inherited from ServiceBase).
| CanStop | (inherited from ServiceBase).
| Container | (inherited from Component).
| EventLog | (inherited from ServiceBase).
| ExitCode | (inherited from ServiceBase).
| ServiceName | (inherited from ServiceBase).
| Site | (inherited from Component).
Top

# Public Methods

| Name | Description
--- | --- | ---
| CheckTimer_Elapsed |
| CreateObjRef | (inherited from MarshalByRefObject).
| Equals | (Overloaded) (inherited from Object).
| GetHashCode | (inherited from Object).
| GetLifetimeService | (inherited from MarshalByRefObject).
| GetType | (Overloaded) (inherited from Object).
| InitializeLifetimeService | (inherited from MarshalByRefObject).
| Main |
| ReferenceEquals | (inherited from Object).
| RequestAdditionalTime | (inherited from ServiceBase).
| Run | (Overloaded) (inherited from ServiceBase).
| ServiceMainCallback | (inherited from ServiceBase).
| Stop | (inherited from ServiceBase).
| ToString | (inherited from Component).
Top

# Protected Methods

| Name | Description
--- | --- | ---
| Dispose | (Overloaded)
| Finalize | (inherited from Component).
| GetService | (inherited from Component).
| MemberwiseClone | (Overloaded) (inherited from MarshalByRefObject).
| OnContinue | (inherited from ServiceBase).
| OnCustomCommand | (inherited from ServiceBase).
| OnPause | (inherited from ServiceBase).
| OnPowerEvent | (inherited from ServiceBase).
| OnSessionChange | (inherited from ServiceBase).
| OnShutdown | (inherited from ServiceBase).
| OnStart | (Overloaded)
| OnStop |
Top

# Private, internal (Friend) and internal protected (Protected Friend) Methods

| Name | Description
--- | --- | ---
| InitializeComponent |
Top

# Public Events

| Name | Description
--- | --- | ---
| Disposed | (inherited from Component).
Top

# Fields

| Name | Description
--- | --- | ---
| RowId |
| Working |
| components |
Top

# See Also

## Reference Service1 Class